const buttons = document.querySelectorAll("[data-carousel-button]")

buttons.forEach(button => {
    button.addEventListener("click", () => {
        const offset = button.dataset.carouselButton === "next" ? 1 : -1
        const sildes = button
            .closest("[data-carousel]")
            .querySelector("[data-slides]")

        const activeSlide = sildes.querySelector("[data-active]")
        let newIndex = [...sildes.children].indexOf(activeSlide) + offset
        if(newIndex < 0) newIndex = sildes.children.length -1
        if(newIndex >= sildes.children.length) newIndex = 0

        sildes.children[newIndex].dataset.active = true
        delete activeSlide.dataset.active
    })
}) // Adds an EventListener for Each object with data-carousel-button

